import http from "@/api";
const ARTICLE = `article`;
//文章列表
export const getArticleListApi = (params: any) => {
    return http.get<any>(`${ARTICLE}/index`, params);
};
//文章分类接口
export const getArticleClassDataApi = (params?: any) => {
    return http.get<any>(`${ARTICLE}/categorys`, params);
};
//文章删除接口
export const getArticleListDelApi = (params: any) => {
    return http.delete<any>(`${ARTICLE}/delete/${params}`);
};
//文章导出

// responseType: 'arraybuffer' 表示期望服务器返回的数据类型为 ArrayBuffer。
// ArrayBuffer 是一个用于存储二进制数据的对象，当服务器返回的数据是二进制数据（如文件数据，包括 Excel 文件、图片文件等）时，将 responseType 设置为 arraybuffer 可以正确地接收和处理这些二进制数据。
// 在处理文件下载（例如，从服务器下载 Excel 文件）时，使用 arraybuffer 可以确保接收到的数据是二进制形式，以便后续操作，如将其转换为 Blob 对象进行文件下载。
export const getArticleListExportApi = (params: any) => {
    return http.get<any>(`${ARTICLE}/export`, params, {
        responseType: "arraybuffer"
    });
};
//文章更新
export const getArticleListUpApi = (params: any) => {
    const { id } = params;
    delete params.id;

    return http.put<any>(`${ARTICLE}/update/${id}`, params);
};
//文章分类新增
export const getArticleListAddSaveApi = (params: any) => {
    return http.post<any>(`${ARTICLE}/save`, params);
};
//文章详情
export const getArticleListDetailsApi = (params: any) => {
    return http.get<any>(`${ARTICLE}/read/${params}`);
};
